Package Details: zenmap 7.94-2

Git Clone URL: https://aur.archlinux.org/zenmap.git (read-only, click to copy)
Package Base: zenmap
Description: Graphical Nmap frontend and results viewer
Upstream URL: https://nmap.org/
Licenses: GPL2
Submitter: City-busz
Maintainer: WSDMatty
Last Packager: WSDMatty
Votes: 32
Popularity: 1.15
First Submitted: 2020-03-19 12:14 (UTC)
Last Updated: 2023-05-31 05:49 (UTC)

Latest Comments

1 2 Next › Last »

vally commented on 2024-05-17 15:31 (UTC) (edited on 2024-05-21 07:37 (UTC) by vally)

makedepends is out of date as distutils was removed from python's standard library (3.12)

distutils is now provided by the python-setuptools package and compilation is otherwise fine

https://wiki.archlinux.org/title/Python_package_guidelines#setuptools_or_distutils

0x0ffe1 commented on 2024-03-06 03:19 (UTC)

compilation successfully but start zenmap comes with errors

$zenmap
Traceback (most recent call last):
  File "/usr/lib/python3.11/site-packages/zenmapGUI/App.py", line 73, in <module>
    import gi
  File "/usr/lib/python3.11/site-packages/gi/__init__.py", line 40, in <module>
    from . import _gi
ImportError: /usr/lib/libgirepository-1.0.so.1: undefined symbol: g_string_free_and_steal

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/zenmap", line 110, in <module>
    import zenmapGUI.App
  File "/usr/lib/python3.11/site-packages/zenmapGUI/App.py", line 87, in <module>
    import gi
  File "/usr/lib/python3.11/site-packages/gi/__init__.py", line 40, in <module>
    from . import _gi
ImportError: /usr/lib/libgirepository-1.0.so.1: undefined symbol: g_string_free_and_steal

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/zenmap", line 114, in <module>
    I checked in these directories:""" % repr(e.message), file=sys.stderr)
                                              ^^^^^^^^^
AttributeError: 'ImportError' object has no attribute 'message'

WSDMatty commented on 2023-12-27 00:34 (UTC)

marek22k: From your log it says you're using python 3.12. The latest official python for Arch is 3.11.6. Have you compiled the latest python yourself or something? This error is coming, I believe, from missing python-gobject which is one of the dependencies so the error may be with your python.

marek22k commented on 2023-12-26 11:45 (UTC)

It doesn't start for me:

$zenmap
Traceback (most recent call last):
  File "/usr/lib/python3.12/site-packages/zenmapGUI/App.py", line 73, in <module>
    import gi
ModuleNotFoundError: No module named 'gi'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/zenmap", line 110, in <module>
    import zenmapGUI.App
  File "/usr/lib/python3.12/site-packages/zenmapGUI/App.py", line 87, in <module>
    import gi
ModuleNotFoundError: No module named 'gi'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/zenmap", line 114, in <module>
    I checked in these directories:""" % repr(e.message), file=sys.stderr)
                                              ^^^^^^^^^
AttributeError: 'ModuleNotFoundError' object has no attribute 'message'

appel commented on 2023-08-15 14:09 (UTC) (edited on 2023-08-15 14:23 (UTC) by appel)

Hi All, getting this crash when I do an intense scan as normal user or root. Doesn't error with quick scans. Input was: intense scan, range: x.x.x.0-255 on LAN

Version: 7.94
   Traceback (most recent call last):
      File "/usr/lib/python3.11/site-packages/zenmapGUI/ScanInterface.py", line 538, in verify_execution
          self.scan_result.refresh_nmap_output()
      File "/usr/lib/python3.11/site-packages/zenmapGUI/ScanInterface.py", line 907, in refresh_nmap_output
          self.scan_result_notebook.nmap_output.nmap_output.refresh_output()
      File "/usr/lib/python3.11/site-packages/zenmapGUI/NmapOutputViewer.py", line 287, in refresh_output
          new_output = self.command_execution.stdout_file.read()
                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
        File "<frozen codecs>", line 322, in decode
    UnicodeDecodeError: 'utf-8' codec can't decode byte 0xb0 in position 25923: invalid start byte

(sorry for the bad formatting)

D3vil0p3r commented on 2022-12-24 14:05 (UTC) (edited on 2022-12-24 14:51 (UTC) by D3vil0p3r)

@Stunkymonkey I agree with @medmedin. For next latest releases of Arch Linux where Python2 cannot be retrieved anymore, that PKGBUILD will be unusable, and if users should retrieve Python2 from AUR for running the rules in this PKGBUILD, users are obligated to have security holes due to Python2 presence.

I know also that currently the zenmap/setup.py script does not work on Python3, so I don't know if you are one of Nmap devs. If so, it could be useful to push to Python3.

It needs also to be updated to version 7.93.

schasj commented on 2022-12-01 17:32 (UTC)

"Zenmap (as root)" in the Internet group under xfce4 Applications menu has failed silently for many months on my hosts. I've fixed it with 2 patches from

https://github.com/nmap/nmap/pull/1172

The 1st one adds lines to /usr/share/zenmap/su-to-zenmap.sh

The 2nd creates a new .policy file /usr/share/polkit-1/actions/org.gnome.pkexec.zenmap.policy NOTE: The path is different from that cited in the commit but the contents are the same.

Stunkymonkey commented on 2022-11-07 19:38 (UTC)

@medmedin there is already zenmap-python3-git for this case. I would like to keep this as the official version and not have a custom branch used.

medmedin commented on 2022-10-07 11:57 (UTC)

@Stunkymonkey Arch removed python2 from its repos, and python2 from AUR is nightmare if you try to install it (it takes really long time to finish building), how can we have zenmap with python3 ?

matan-h commented on 2022-09-29 10:53 (UTC)

I upload a git aur package for the python3 pr on zenmap.

git based on github/kulikjak.